Problem update ionic and install


#1

Hi I’m having a problem when to update ionic.
yesterday to the internet when she fell and could not do full apparently just what I delete. today with the “-g Cordova ionic npm install” command will show out many mistakes in the following list

and I could not install it and do not find a solution

Your environment has been set up for using Node.js 0.12.4 (x64) and npm.


C:\Windows\System32>npm install -g cordova ionic
npm ERR! tar.unpack untar error C:\Users\PERDO_~1\AppData\Local\Temp\npm-6700-42
ab777a\registry.npmjs.org\liftoff\-\liftoff-0.12.1.tgz
npm WARN engine cordova-js@3.9.0: wanted: {"node":"~0.10.x"} (current: {"node":"
0.12.4","npm":"2.10.1"})
npm WARN engine npm@1.3.4: wanted: {"node":">=0.6","npm":"1"} (current: {"node":
"0.12.4","npm":"2.10.1"})
npm WARN engine cordova-js@3.9.0: wanted: {"node":"~0.10.x"} (current: {"node":"
0.12.4","npm":"2.10.1"})
npm WARN engine npm@1.3.4: wanted: {"node":">=0.6","npm":"1"} (current: {"node":
"0.12.4","npm":"2.10.1"})
npm WARN installMany normalize-package-data was bundled with npm@1.3.4, but bund
led package wasn't found in unpacked tree
npm WARN installMany normalize-package-data was bundled with npm@1.3.4, but bund
led package wasn't found in unpacked tree
npm WARN engine xmlbuilder@2.2.1: wanted: {"node":"0.8.x || 0.10.x"} (current: {
"node":"0.12.4","npm":"2.10.1"})
npm WARN engine xmlbuilder@2.2.1: wanted: {"node":"0.8.x || 0.10.x"} (current: {
"node":"0.12.4","npm":"2.10.1"})
npm ERR! tar.unpack untar error C:\Users\PERDO_~1\AppData\Local\Temp\npm-6700-42
ab777a\registry.npmjs.org\hawk\-\hawk-1.1.1.tgz
npm ERR! registry error parsing json
npm ERR! registry error parsing json

C:\Windows\System32>npm install -g cordova ionic
npm ERR! registry error parsing json
npm ERR! registry error parsing json
npm ERR! tar.unpack untar error C:\Users\PERDO_~1\AppData\Local\Temp\npm-6556-6b
5e654d\registry.npmjs.org\colors\-\colors-1.0.3.tgz
npm ERR! registry error parsing json

C:\Windows\System32>npm install -g cordova ionic
npm WARN engine cordova-js@3.9.0: wanted: {"node":"~0.10.x"} (current: {"node":"
0.12.4","npm":"2.10.1"})
npm WARN engine npm@1.3.4: wanted: {"node":">=0.6","npm":"1"} (current: {"node":
"0.12.4","npm":"2.10.1"})
npm WARN installMany normalize-package-data was bundled with npm@1.3.4, but bund
led package wasn't found in unpacked tree
npm WARN engine xmlbuilder@2.2.1: wanted: {"node":"0.8.x || 0.10.x"} (current: {
"node":"0.12.4","npm":"2.10.1"})
npm ERR! registry error parsing json
npm ERR! registry error parsing json

and excuse my English I am using translator

i try use
npm cache clean

npm config rm proxy

npm config rm https-proxy

npm update npm -g

npm login

thanks for the help


#2

UPDATE:
bueno, despues de intentar muchas cosas entre ellas actualizar node.js a su ultima versión mi problema se resolvio al borrar todo el node incluido el npm y su archivo de proxy e instalar la version 10 del node ademas instalar ionic y cordoba por separado